# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.caching.CacheableData.CacheStatus

Packages that use CacheableData.CacheStatus
Package
Description
org.apache.sysds.runtime.controlprogram.caching

## Uses of CacheableData.CacheStatus in org.apache.sysds.runtime.controlprogram.caching

Methods in org.apache.sysds.runtime.controlprogram.caching that return CacheableData.CacheStatus
Modifier and Type
Method
Description
`CacheableData.CacheStatus`
CacheableData.`getStatus()`
`static CacheableData.CacheStatus`
CacheableData.CacheStatus.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CacheableData.CacheStatus[]`
CacheableData.CacheStatus.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.